Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class StringRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.cont.ContinuableRecord
                  org.apache.poi.hssf.record.StringRecord

    public final class StringRecord

extends ContinuableRecord

STRING (0x0207)

Stores the cached result of a text formula

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`StringRecord()`
`StringRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getSid()` return the non static version of the id for this record.
`java.lang.String` | `getString()`
`protected void` | `serialize(ContinuableRecordOutput out)` Serializes this record's content to the supplied data output. The standard BIFF header (ushort sid, ushort size) has been handled by the superclass, so only BIFF data should be written by this method.
`void` | `setString(java.lang.String string)` Sets the string represented by this record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.cont.ContinuableRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### StringRecord

    public StringRecord()

### StringRecord

    public StringRecord(RecordInputStream in)

Parameters:
  `in` - the RecordInputstream to read the record from

Method Detail

### serialize

    protected void serialize(ContinuableRecordOutput out)

  Description copied from class: `ContinuableRecord`
  Serializes this record's content to the supplied data output.
  The standard BIFF header (ushort sid, ushort size) has been handled by the superclass, so only BIFF data should be written by this method. Simple data types can be written with the standard `LittleEndianOutput` methods. Methods from `ContinuableRecordOutput` can be used to serialize strings (with `ContinueRecord`s being written as required). If necessary, implementors can explicitly start `ContinueRecord`s (regardless of the amount of remaining space).

  Specified by:
    `serialize` in class `ContinuableRecord`
  Parameters:
    `out` - a data output stream

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### getString

    public java.lang.String getString()

  Returns:
    The string represented by this record.

### setString

    public void setString(java.lang.String string)

  Sets the string represented by this record.

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.